Docs
Launch App

Pangolin Overview

Introduction to Pangolin
Audits
Tokens & Governance
Official Links & Communities
Become a Partner
Support
Roadmap
Privacy Policy & Legal Notices

Guides

Swapping Tokens
Providing Liquidity
Managing Liquidity Positions
Withdrawing Liquidity
Earning Rewards
Understanding SAR

Developers

Contracts & Integration Reference
APIs
PNG and DEX Values on Avalanche
PBAR and DEX Values on Hedera
Bug Bounty
Token Listing
Create A Multisig
Honeycomb↗

PangoPerps

API fundamentals
Public Info API
User API
Trading API
DevelopersAPIs
PNG and DEX Values on Avalanche

PNG and DEX Values on Avalanche

PNG & APIs

#Development

Wrangler is used for a local development server. This is effectively a proxy-service that (nearly) replicates the Cloudflare Worker runtime.

Anyone can develop this repository locally. Fill in account_id in the wrangler.toml file. This value may (and should) be your own personal account_id.

#Location

The API is available at https://api.pangolin.exchange

#Methods

All methods accept a GET request.

#TVL

GET https://api.pangolin.exchange/png/tvl

Try API: Get the total value locked in USD

Endpoint: /png/tvl

https://api.pangolin.exchange/png/tvl

json
25371043.31

#Total Volume

GET https://api.pangolin.exchange/png/total-volume

Try API: Get the total lifetime volume of swaps in USD

Endpoint: /png/total-volume

https://api.pangolin.exchange/png/total-volume

json
16386987632.01

#Total Supply (wei)

GET https://api.pangolin.exchange/png/total-supply

Try API: Query the total lifetime supply of PNG denominated in wei
(A result of 1 PNG would return the value 1000000000000000000 [18 decimals])

Endpoint: /png/total-supply

https://api.pangolin.exchange/png/total-supply

json
230000000000000000000000000

#Total Supply

GET https://api.pangolin.exchange/png/total-supply-whole

Test API: Get the total lifetime supply of PNG denominated in PNG
(A result of 1 PNG would return the value 1)

Endpoint: /png/total-supply-whole

https://api.pangolin.exchange/png/total-supply-whole

json
230000000

#Circulating Supply (wei)

GET https://api.pangolin.exchange/png/circulating-supply

Try API: Query the circulating supply of PNG denominated in wei
(A result of 1 PNG would return the value 1000000000000000000 [18 decimals])

Endpoint: /png/circulating-supply

https://api.pangolin.exchange/png/circulating-supply

json
138148573463211998848931700

#Circulating Supply

GET https://api.pangolin.exchange/png/circulating-supply-whole

Try API: Query the circulating supply of PNG denominated in PNG
(A result of 1 PNG would return the value 1)

Endpoint: /png/circulating-supply-whole

https://api.pangolin.exchange/png/circulating-supply-whole

json
138148573

#Treasury Supply (wei)

GET https://api.pangolin.exchange/png/community-treasury

Try API: Query the balance of PNG denominated in wei
(A result of 1 PNG would return the value 1000000000000000000 [18 decimals])

Endpoint: /png/community-treasury

https://api.pangolin.exchange/png/community-treasury

json
1999371251788001151068300

#Treasury Supply

GET https://api.pangolin.exchange/png/community-treasury-whole

Try API: Query the balance of PNG denominated in PNG
(A result of 1 PNG would return the value 1)

Endpoint: /png/community-treasury-whole

https://api.pangolin.exchange/png/community-treasury-whole

json
1999371

#Average Swap Size

GET https://api.pangolin.exchange/pangolin/transaction-average

Try API: Get the average size of each swap in USD

Endpoint: /pangolin/transaction-average

https://api.pangolin.exchange/pangolin/transaction-average

json
1566.68

#Average Percentage Reward Rate

GET https://api.pangolin.exchange/pangolin/apr2/:pID

Try API: Get the PNG Reward Rate of the inputted StakingRewards contract address.
(Refer to Snowtrace to find pIDs [pool ids])

Endpoint: /pangolin/apr2/:pID

#Path Parameters

Name Type Description
pID* string[] Pool ID string from 1 - poolLenght (eg. 1, ...10,... 100, etc.)
json
{"swapFeeApr":X,"stakingApr":X,"combinedApr":X}

https://api.pangolin.exchange/pangolin/apr2/1

text
{"swapFeeApr":4,"stakingApr":0,"combinedApr":4}
json
{"swapFeeApr":0,"stakingApr":0,"combinedApr":0}
PreviousAPIsNext PBAR and DEX Values on Hedera

On this page

  • Development
  • Location
  • Methods
  • TVL
  • Total Volume
  • Total Supply (wei)
  • Total Supply
  • Circulating Supply (wei)
  • Circulating Supply
  • Treasury Supply (wei)
  • Treasury Supply
  • Average Swap Size
  • Average Percentage Reward Rate

Try it on Pangolin

Everything in these docs is live in the app.

SwapLiquidityStakePerps

Need help?

DiscordTelegramX